Subject: Re: bug#15006: 24.3; emacs manual comment-start-skip example grouping

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 21 Aug 2021 16:08:18 +0200

Stefan Monnier <[email-masked]> writes:

>> I suppose the intention is to pick up non-breaking spaces or whatever
>> other flavours of whitespace.  Unlikely to arise in practice in
>> programming language stuff.  Is there an obvious ill effect?
>
> You can get things like (re-search-forward comment-start-skip) and end
> up with (match-end 0) past the end of the matched comment (e.g. when
> matching "//\n").

I've now updated the example in the manual (as well as rearranged the
\\| to match the order of the description of the regexp) in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no